await seam.actionAttempts.get({
action_attempt_id: "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
});
/*
{
"action_attempt_id": "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
"action_type": "UNLOCK_DOOR",
"error": null,
"result": {
"was_confirmed_by_device": false
},
"status": "success"
}
*/
{
"action_attempt": {
"action_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_type": "<string>",
"status": "pending",
"result": {},
"error": {
"type": "<string>",
"message": "<string>"
}
}
}Action Attempts
Get an Action Attempt
Returns a specified action attempt. Reference for GET /action_attempts/get in the Seam API, with request and response details.
GET
/
action_attempts
/
get
await seam.actionAttempts.get({
action_attempt_id: "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
});
/*
{
"action_attempt_id": "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
"action_type": "UNLOCK_DOOR",
"error": null,
"result": {
"was_confirmed_by_device": false
},
"status": "success"
}
*/
{
"action_attempt": {
"action_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_type": "<string>",
"status": "pending",
"result": {},
"error": {
"type": "<string>",
"message": "<string>"
}
}
}Returns a specified action attempt.
Authorizations
client_sessionpat_with_workspaceconsole_session_with_workspaceapi_keyclient_session_with_customerclient_session_with_customer_rosupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the action attempt that you want to get.
Response
OK
Represents an asynchronous action. Poll until status is success or error. See the action_attempt object.
Show child attributes
Show child attributes
Was this page helpful?